<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fzm.mall.customer.service.customer.mapper.MessageMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.fzm.mall.customer.service.customer.model.Message">
        <id column="id" property="id" />
        <result column="message_id" property="messageId" />
        <result column="from_id" property="fromId" />
        <result column="from_name" property="fromName" />
        <result column="from_image" property="fromImage" />
        <result column="to_id" property="toId" />
        <result column="content" property="content" />
        <result column="msg_type" property="msgType" />
        <result column="send_time" property="sendTime" />
    </resultMap>

</mapper>
